View Issue Details

IDCategoryLast Update
0008586bugs2021-05-17 18:19
ReporterDaniele1971Assigned Tox42 
Reproducibilitysometimes 
Status closedResolutionfixed 
PlatformGNUOSLinuxOS Version(any)
Product Version 
Fixed in Version 
Summary0008586: Ardour-6.6 Segfault on startup
DescriptionSince Ardour-6.6, there's a segfault on startup. Error is:

ArdourGUI[7463]: segfault at 564566184 ip 00007f5b9cbb8cbe sp 00007fff4e711858 error 6 in libstdc++.so.6.0.29[7f5b9cb94000+fa000]
Code: 48 8b 46 08 48 89 37 48 89 47 08 48 8b 46 08 48 89 38 48 89 7e 08 c3 0f 1f 44 00 00 f3 0f 1e fa 48 8b 07 48 8b 57 08 48 89 02 <48> 89 50 08 c3 66 2e 0f 1f 84 00 00 00 00 00 0f 1f 00 f3 0f 1e fa

It happens 50% of the time (more or less) opening an existing session. "New session" seems ok. It happens with the official version (gcc5) but also with the package from the Geekosdaw repo for opensuse Tumbleweed.
Steps To ReproduceStart Ardour and load an existing session.
Tagscrash

Relationships

has duplicate 0008656 closedx42 session crashes on open 
has duplicate 0008708 closedx42 Crash opening recently saved session 

Activities

x42

2021-02-25 20:05

administrator   ~0025554

Last edited: 2021-02-25 20:05

View 2 revisions

Sadly this information is not useful. Ideally we'd need a backtrace -- https://ardour.org/debugging_ardour

Ardour6 --gdb
run 

and when it crashes:
thread apply all bt


x42

2021-02-25 20:06

administrator   ~0025555

PS. Does it help to use the checkbox: "Safe Mode: Disable all Plugins" when you load the existing session?

mrMute

2021-02-25 23:24

reporter   ~0025556

I'm experiencing crashes too. I attached a backtrace.

backtrace.txt (43,254 bytes)
xxx@xxx:~$ /opt/Ardour-6.6.0/bin/ardour6 --gdb
GNU gdb (Debian 8.2.1-2+b3) 8.2.1
Copyright (C) 2018 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /opt/Ardour-6.6.0/bin/ardour-6.6.0...(no debugging symbols found)...done.
(gdb) run
Starting program: /opt/Ardour-6.6.0/bin/ardour-6.6.0 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
Ardour6.6.0 (built using 6.6 and GCC version 6.3.0 20170516)
Ardour: [INFO]: Your system is configured to limit Ardour to 1048576 open files
Ardour: [INFO]: Loading system configuration file /opt/Ardour-6.6.0/etc/system_config
Ardour: [INFO]: Loading user configuration file /home/raf/.config/ardour6/config
[New Thread 0x7fffe9e9e700 (LWP 20734)]
Ardour: [INFO]: CPU vendor: GenuineIntel
Ardour: [INFO]: AVX-capable processor
Ardour: [INFO]: CPU brand:        Intel(R) Core(TM) i5-2520M CPU @ 2.50GHz
Ardour: [INFO]: Using AVX optimized routines
[New Thread 0x7fffe969d700 (LWP 20735)]
[New Thread 0x7fffe8e9c700 (LWP 20736)]
[New Thread 0x7fffdbfff700 (LWP 20737)]
Ardour: [INFO]: Loading plugin meta data file /opt/Ardour-6.6.0/share/plugin_metadata/plugin_tags
Ardour: [INFO]: Loading plugin statistics file /home/raf/.config/ardour6/plugin_metadata/plugin_stats
[New Thread 0x7fffd9e72700 (LWP 20738)]
[Thread 0x7fffd9e72700 (LWP 20738) exited]
[New Thread 0x7fffd9e72700 (LWP 20739)]
[New Thread 0x7fffd3fff700 (LWP 20740)]
[New Thread 0x7fffd25a5700 (LWP 20741)]
Cannot xinstall SIGPIPE error handler
Ardour: [INFO]: Loading default ui configuration file /opt/Ardour-6.6.0/etc/default_ui_config
Ardour: [INFO]: Loading user ui configuration file /home/raf/.config/ardour6/ui_config
Ardour: [INFO]: Loading 451 MIDI patches from /opt/Ardour-6.6.0/share/patchfiles
Gtk-Message: Failed to load module "canberra-gtk-module"
Ardour: [INFO]: Loading color file /opt/Ardour-6.6.0/share/themes/dark-ardour.colors
Ardour: [INFO]: Loading ui configuration file /opt/Ardour-6.6.0/etc/clearlooks.rc
Ardour: [INFO]: Loading bindings from /opt/Ardour-6.6.0/etc/ardour.keys
Loading ui configuration file /opt/Ardour-6.6.0/etc/clearlooks.rc
[New Thread 0x7fffd1abf700 (LWP 20742)]
[New Thread 0x7fffd1a3e700 (LWP 20743)]
[Thread 0x7fffd1a3e700 (LWP 20743) exited]
[New Thread 0x7fffd1a3e700 (LWP 20744)]
[New Thread 0x7fffd0fbd700 (LWP 20745)]
[New Thread 0x7fffbbfff700 (LWP 20746)]
[New Thread 0x7fffbb7fe700 (LWP 20747)]
Found nothing along /home/raf/.config/ardour6/templates:/opt/Ardour-6.6.0/share/templates
[Thread 0x7fffd1abf700 (LWP 20742) exited]
[Thread 0x7fffd0fbd700 (LWP 20745) exited]
[Thread 0x7fffbbfff700 (LWP 20746) exited]
[New Thread 0x7fffbbfff700 (LWP 20748)]
[Thread 0x7fffbbfff700 (LWP 20748) exited]
[Thread 0x7fffd25a5700 (LWP 20741) exited]
[New Thread 0x7fffbbfff700 (LWP 20749)]
[New Thread 0x7fffd0fbd700 (LWP 20750)]
[Thread 0x7fffd0fbd700 (LWP 20750) exited]
[Thread 0x7fffbbfff700 (LWP 20749) exited]
[Detaching after vfork from child process 20751]
[New Thread 0x7fffbbfff700 (LWP 20752)]
[New Thread 0x7fffd049e900 (LWP 20753)]
[New Thread 0x7fffd0fbd700 (LWP 20754)]
error: failed to open file /usr/local/lib/lv2/x42-midifilter-v0.5.2-x86_64/manifest.ttl (No such file or directory)
lilv_world_load_file(): error: Error loading file `file:///usr/local/lib/lv2/x42-midifilter-v0.5.2-x86_64/manifest.ttl'
lilv_world_load_bundle(): error: Error reading file:///usr/local/lib/lv2/x42-midifilter-v0.5.2-x86_64/manifest.ttl
error: failed to open file /usr/local/lib/lv2/x42-avldrums-v0.3.4-x86_64/manifest.ttl (No such file or directory)
lilv_world_load_file(): error: Error loading file `file:///usr/local/lib/lv2/x42-avldrums-v0.3.4-x86_64/manifest.ttl'
lilv_world_load_bundle(): error: Error reading file:///usr/local/lib/lv2/x42-avldrums-v0.3.4-x86_64/manifest.ttl
error: failed to open file /usr/local/lib/lv2/x42-stepseq-8x8-v0.5.0-x86_64/manifest.ttl (No such file or directory)
lilv_world_load_file(): error: Error loading file `file:///usr/local/lib/lv2/x42-stepseq-8x8-v0.5.0-x86_64/manifest.ttl'
lilv_world_load_bundle(): error: Error reading file:///usr/local/lib/lv2/x42-stepseq-8x8-v0.5.0-x86_64/manifest.ttl
error: failed to open file /usr/local/lib/lv2/x42-autotune-v0.5.0-x86_64/manifest.ttl (No such file or directory)
lilv_world_load_file(): error: Error loading file `file:///usr/local/lib/lv2/x42-autotune-v0.5.0-x86_64/manifest.ttl'
lilv_world_load_bundle(): error: Error reading file:///usr/local/lib/lv2/x42-autotune-v0.5.0-x86_64/manifest.ttl
lilv_world_load_bundle(): warning: Ignoring bundle <file:///usr/lib/lv2/midifilter.lv2/>
lilv_world_load_bundle(): note: Newer version of <http://gareus.org/oss/lv2/midifilter#cctonote> loaded from <file:///home/raf/.lv2/midifilter.lv2/>
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/bassup>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/compressor>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/compressor_sc>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/compressor_stereo>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/compressor_stereo_sc>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/eq/eq10qm>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/eq/eq10qs>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/eq/eq1qm>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/eq/eq1qs>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/eq/eq4qm>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/eq/eq4qs>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/eq/eq6qm>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/eq/eq6qs>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/gate>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/gate_stereo>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/matrix_lr2ms>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/matrix_ms2lr>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
Scanning folders for bundled LV2s: /opt/Ardour-6.6.0/lib/LV2
error: failed to open file /usr/local/lib/lv2/x42-midifilter-v0.5.2-x86_64/manifest.ttl (No such file or directory)
lilv_world_load_file(): error: Error loading file `file:///usr/local/lib/lv2/x42-midifilter-v0.5.2-x86_64/manifest.ttl'
lilv_world_load_bundle(): error: Error reading file:///usr/local/lib/lv2/x42-midifilter-v0.5.2-x86_64/manifest.ttl
error: failed to open file /usr/local/lib/lv2/x42-avldrums-v0.3.4-x86_64/manifest.ttl (No such file or directory)
lilv_world_load_file(): error: Error loading file `file:///usr/local/lib/lv2/x42-avldrums-v0.3.4-x86_64/manifest.ttl'
lilv_world_load_bundle(): error: Error reading file:///usr/local/lib/lv2/x42-avldrums-v0.3.4-x86_64/manifest.ttl
error: failed to open file /usr/local/lib/lv2/x42-stepseq-8x8-v0.5.0-x86_64/manifest.ttl (No such file or directory)
lilv_world_load_file(): error: Error loading file `file:///usr/local/lib/lv2/x42-stepseq-8x8-v0.5.0-x86_64/manifest.ttl'
lilv_world_load_bundle(): error: Error reading file:///usr/local/lib/lv2/x42-stepseq-8x8-v0.5.0-x86_64/manifest.ttl
error: failed to open file /usr/local/lib/lv2/x42-autotune-v0.5.0-x86_64/manifest.ttl (No such file or directory)
lilv_world_load_file(): error: Error loading file `file:///usr/local/lib/lv2/x42-autotune-v0.5.0-x86_64/manifest.ttl'
lilv_world_load_bundle(): error: Error reading file:///usr/local/lib/lv2/x42-autotune-v0.5.0-x86_64/manifest.ttl
lilv_world_load_bundle(): warning: Ignoring bundle <file:///usr/lib/lv2/midifilter.lv2/>
lilv_world_load_bundle(): note: Newer version of <http://gareus.org/oss/lv2/midifilter#cctonote> loaded from <file:///home/raf/.lv2/midifilter.lv2/>
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/bassup>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/compressor>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/compressor_sc>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/compressor_stereo>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/compressor_stereo_sc>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/eq/eq10qm>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/eq/eq10qs>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/eq/eq1qm>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/eq/eq1qs>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/eq/eq4qm>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/eq/eq4qs>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/eq/eq6qm>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/eq/eq6qs>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/gate>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/gate_stereo>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/matrix_lr2ms>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <http://eq10q.sourceforge.net/matrix_ms2lr>
lilv_world_add_plugin(): warning: ... found in file:///usr/local/lib/lv2/sapistaEQv2.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/sapistaEQv2.lv2/ (ignored)
[New Thread 0x7fffbaffd700 (LWP 20755)]
[Detaching after vfork from child process 20756]
[New Thread 0x7fffba7fc700 (LWP 20757)]
[Thread 0x7fffba7fc700 (LWP 20757) exited]
[Thread 0x7fffbaffd700 (LWP 20755) exited]
[Detaching after vfork from child process 20758]
[New Thread 0x7fffba7fc700 (LWP 20759)]
[Thread 0x7fffba7fc700 (LWP 20759) exited]
Set cursor set to default
 loading from /home/raf/Projects/Audio/Ardour/odin-drive as odin-drive templ  is_new 0 bp 0
[New Thread 0x7fffd03a0900 (LWP 20760)]
[New Thread 0x7fffd0394900 (LWP 20761)]
[New Thread 0x7fffd0388900 (LWP 20762)]
[New Thread 0x7fffd037c900 (LWP 20763)]
[New Thread 0x7fffd0370900 (LWP 20764)]
[New Thread 0x7fffd034c900 (LWP 20765)]
[New Thread 0x7fffd0328900 (LWP 20766)]
[New Thread 0x7fffd0304900 (LWP 20767)]
[New Thread 0x7fffd02be700 (LWP 20768)]
[New Thread 0x7fffba7fc700 (LWP 20769)]
[WRN] Found standard VST 2.x chunk header (bank)
[New Thread 0x7fffbaffd700 (LWP 20770)]
[New Thread 0x7fff7bfff700 (LWP 20771)]
[New Thread 0x7fff7b7fe700 (LWP 20772)]
[New Thread 0x7fff7affd700 (LWP 20773)]
[New Thread 0x7fff7a7fc700 (LWP 20774)]
[New Thread 0x7fff79ffb700 (LWP 20775)]
[New Thread 0x7fff797fa700 (LWP 20776)]
[New Thread 0x7fff78ff9700 (LWP 20777)]
[New Thread 0x7fff73fff700 (LWP 20778)]
[New Thread 0x7fff737fe700 (LWP 20779)]
Do *not* Emulate VST Bypass Port for ToTape5
Do *not* Emulate VST Bypass Port for ToTape5
[New Thread 0x7fff72ffd700 (LWP 20780)]
[New Thread 0x7fff727fc700 (LWP 20781)]
[New Thread 0x7fff71ffb700 (LWP 20782)]
[New Thread 0x7fff717fa700 (LWP 20783)]
restarting Session::update_latency. # of send changes: 4 iteration: 1
Reading player:TAL-J-8 took 1287 microseconds, final size = 8
Reading player:TAL-J-8 1 took 175 microseconds, final size = 24
Reading player:Drops took 1257 microseconds, final size = 12
[Detaching after fork from child process 20784]
[Detaching after fork from child process 20785]
[New Thread 0x7fff70dee700 (LWP 20795)]
[New Thread 0x7fff63fff700 (LWP 20796)]
[New Thread 0x7fff637fe700 (LWP 20797)]
[Thread 0x7fffbb7fe700 (LWP 20747) exited]
[New Thread 0x7fffbb7fe700 (LWP 20799)]
[New Thread 0x7fff62ffd700 (LWP 20800)]
[New Thread 0x7fff627fc700 (LWP 20801)]
[New Thread 0x7fff61ffb700 (LWP 20802)]
[New Thread 0x7fff617fa700 (LWP 20803)]
[Thread 0x7fff61ffb700 (LWP 20802) exited]
[Thread 0x7fff627fc700 (LWP 20801) exited]
[Thread 0x7fff62ffd700 (LWP 20800) exited]
[Thread 0x7fffbb7fe700 (LWP 20799) exited]
[New Thread 0x7fff62ffd700 (LWP 20804)]
[New Thread 0x7fff627fc700 (LWP 20805)]
[New Thread 0x7fffbb7fe700 (LWP 20806)]
[Thread 0x7fff617fa700 (LWP 20803) exited]
[Thread 0x7fff627fc700 (LWP 20805) exited]
[Thread 0x7fff62ffd700 (LWP 20804) exited]
[Thread 0x7fff71ffb700 (LWP 20782) exited]
Butler drops pool trash
[Thread 0x7fffd02be700 (LWP 20768) exited]
[Thread 0x7fffd0304900 (LWP 20767) exited]
[Thread 0x7fffd0328900 (LWP 20766) exited]
[Thread 0x7fffd034c900 (LWP 20765) exited]
[Thread 0x7fffd0370900 (LWP 20764) exited]
[Thread 0x7fff70dee700 (LWP 20795) exited]
[Thread 0x7fff63fff700 (LWP 20796) exited]
[Thread 0x7fff637fe700 (LWP 20797) exited]
[Thread 0x7fff717fa700 (LWP 20783) exited]
[Thread 0x7fff727fc700 (LWP 20781) exited]
[Thread 0x7fffba7fc700 (LWP 20769) exited]
[Thread 0x7fffd037c900 (LWP 20763) exited]
[Thread 0x7fffd0388900 (LWP 20762) exited]
[Thread 0x7fffd0394900 (LWP 20761) exited]
[Thread 0x7fffd03a0900 (LWP 20760) exited]
[Thread 0x7fff737fe700 (LWP 20779) exited]
[Thread 0x7fff73fff700 (LWP 20778) exited]
[Thread 0x7fff78ff9700 (LWP 20777) exited]
[Thread 0x7fff797fa700 (LWP 20776) exited]
[Thread 0x7fff7affd700 (LWP 20773) exited]
[Thread 0x7fff7a7fc700 (LWP 20774) exited]
[Thread 0x7fff7b7fe700 (LWP 20772) exited]
[Thread 0x7fff79ffb700 (LWP 20775) exited]
[Thread 0x7fff7bfff700 (LWP 20771) exited]
[Thread 0x7fffbaffd700 (LWP 20770) exited]
[Thread 0x7fff72ffd700 (LWP 20780) exited]
[New Thread 0x7fffd03a0900 (LWP 20807)]
[New Thread 0x7fffd0394900 (LWP 20808)]
[New Thread 0x7fffd0388900 (LWP 20809)]
[New Thread 0x7fffd037c900 (LWP 20810)]
[New Thread 0x7fffd0370900 (LWP 20811)]
[New Thread 0x7fffd034c900 (LWP 20812)]
[New Thread 0x7fffd0328900 (LWP 20813)]
[New Thread 0x7fffd0304900 (LWP 20814)]
[New Thread 0x7fffd02be700 (LWP 20815)]
[New Thread 0x7fff72ffd700 (LWP 20816)]
[New Thread 0x7fffbaffd700 (LWP 20824)]
[New Thread 0x7fff7bfff700 (LWP 20825)]
[New Thread 0x7fff79ffb700 (LWP 20826)]
Reading player:TAL BassLine 101 took 97 microseconds, final size = 24
[Detaching after fork from child process 20827]
[Detaching after fork from child process 20828]
double free or corruption (out)

Thread 1 "ArdourGUI" received signal SIGABRT, Aborted.
__GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50
50	../sysdeps/unix/sysv/linux/raise.c: No such file or directory.
(gdb) thread apply all bt

Thread 72 (Thread 0x7fff79ffb700 (LWP 20826)):
#0  0x00007ffff0917bf0 in __GI___nanosleep (requested_time=0x7fff79ffacc0, 
    remaining=0x7fff79ffacd0) at ../sysdeps/unix/sysv/linux/nanosleep.c:28
#1  0x00007ffff481ca38 in g_usleep ()
   from /opt/Ardour-6.6.0/lib/libglib-2.0.so.0
#2  0x00007ffff70eedc0 in ARDOUR::AutomationWatch::thread() ()
   from /opt/Ardour-6.6.0/lib/libardour.so.3
#3  0x00007ffff4d85c4d in ?? () from /opt/Ardour-6.6.0/lib/libglibmm-2.4.so.1
#4  0x00007ffff481b1e5 in ?? () from /opt/Ardour-6.6.0/lib/libglib-2.0.so.0
#5  0x00007ffff090dfa3 in start_thread (arg=<optimized out>)
    at pthread_create.c:486
#6  0x00007fffee5384cf in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 71 (Thread 0x7fff7bfff700 (LWP 20825)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x555559b4f4c4)
    at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x555559b4f470, 
    cond=0x555559b4f498) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x555559b4f498, mutex=0x555559b4f470)
    at pthread_cond_wait.c:655
#3  0x00007ffff7522bc3 in ARDOUR::Session::auto_connect_thread_run() ()
--Type <RET> for more, q to quit, c to continue without paging--c
  t/Ardour-6.6.0/lib/libardour.so.3
#4  0x00007ffff7522d98 in ARDOUR::Session::auto_connect_thread(void*) () from /opt/Ardour-6.6.0/lib/libardour.so.3
#5  0x00007ffff090dfa3 in start_thread (arg=<optimized out>) at pthread_create.c:486
#6  0x00007fffee5384cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 70 (Thread 0x7fffbaffd700 (LWP 20824)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x555559b4f450) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x555559b4f400, cond=0x555559b4f428) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x555559b4f428, mutex=0x555559b4f400) at pthread_cond_wait.c:655
#3  0x00007ffff75973f3 in ARDOUR::Session::emit_thread_run() () from /opt/Ardour-6.6.0/lib/libardour.so.3
#4  0x00007ffff7597428 in ARDOUR::Session::emit_thread(void*) () from /opt/Ardour-6.6.0/lib/libardour.so.3
#5  0x00007ffff090dfa3 in start_thread (arg=<optimized out>) at pthread_create.c:486
#6  0x00007fffee5384cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 69 (Thread 0x7fff72ffd700 (LWP 20816)):
#0  0x00007fffee52d819 in __GI___poll (fds=0x7fff5c179e20, nfds=4, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ffff47ebd66 in ?? () from /opt/Ardour-6.6.0/lib/libglib-2.0.so.0
#2  0x00007ffff47ec0f2 in g_main_loop_run () from /opt/Ardour-6.6.0/lib/libglib-2.0.so.0
#3  0x00007ffff5967a28 in BaseUI::main_thread() () from /opt/Ardour-6.6.0/lib/libpbd.so.4
#4  0x00007ffff4d85c4d in ?? () from /opt/Ardour-6.6.0/lib/libglibmm-2.4.so.1
#5  0x00007ffff481b1e5 in ?? () from /opt/Ardour-6.6.0/lib/libglib-2.0.so.0
#6  0x00007ffff090dfa3 in start_thread (arg=<optimized out>) at pthread_create.c:486
#7  0x00007fffee5384cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 68 (Thread 0x7fffd02be700 (LWP 20815)):
#0  0x00007fffee52d819 in __GI___poll (fds=0x7fffd02bdae8, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ffff5971d57 in CrossThreadChannel::poll_for_request() () from /opt/Ardour-6.6.0/lib/libpbd.so.4
#2  0x00007ffff5971db6 in CrossThreadChannel::receive(char&, bool) () from /opt/Ardour-6.6.0/lib/libpbd.so.4
#3  0x00007ffff70fc532 in ARDOUR::Butler::thread_work() () from /opt/Ardour-6.6.0/lib/libardour.so.3
#4  0x00007ffff70fd692 in ARDOUR::Butler::_thread_work(void*) () from /opt/Ardour-6.6.0/lib/libardour.so.3
#5  0x00007ffff599a996 in ?? () from /opt/Ardour-6.6.0/lib/libpbd.so.4
#6  0x00007ffff090dfa3 in start_thread (arg=<optimized out>) at pthread_create.c:486
#7  0x00007fffee5384cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 67 (Thread 0x7fffd0304900 (LWP 20814)):
#0  futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x55555d8b5900) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  do_futex_wait (sem=sem@entry=0x55555d8b5900, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007ffff0916988 in __new_sem_wait_slow (sem=0x55555d8b5900, abstime=0x0) at sem_waitcommon.c:181
#3  0x00007ffff71c702c in ARDOUR::Graph::run_one() () from /opt/Ardour-6.6.0/lib/libardour.so.3
#4  0x00007ffff71c7348 in ARDOUR::Graph::helper_thread() () from /opt/Ardour-6.6.0/lib/libardour.so.3
#5  0x00007fffd3162666 in ARDOUR::AlsaAudioBackend::alsa_process_thread(void*) () from /opt/Ardour-6.6.0/lib/backends/libalsa_audiobackend.so
#6  0x00007ffff090dfa3 in start_thread (arg=<optimized out>) at pthread_create.c:486
#7  0x00007fffee5384cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 66 (Thread 0x7fffd0328900 (LWP 20813)):
#0  futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x55555d8b5900) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  do_futex_wait (sem=sem@entry=0x55555d8b5900, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007ffff0916988 in __new_sem_wait_slow (sem=0x55555d8b5900, abstime=0x0) at sem_waitcommon.c:181
#3  0x00007ffff71c702c in ARDOUR::Graph::run_one() () from /opt/Ardour-6.6.0/lib/libardour.so.3
#4  0x00007ffff71c7348 in ARDOUR::Graph::helper_thread() () from /opt/Ardour-6.6.0/lib/libardour.so.3
#5  0x00007fffd3162666 in ARDOUR::AlsaAudioBackend::alsa_process_thread(void*) () from /opt/Ardour-6.6.0/lib/backends/libalsa_audiobackend.so
#6  0x00007ffff090dfa3 in start_thread (arg=<optimized out>) at pthread_create.c:486
#7  0x00007fffee5384cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 65 (Thread 0x7fffd034c900 (LWP 20812)):
#0  futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x55555d8b5900) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  do_futex_wait (sem=sem@entry=0x55555d8b5900, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007ffff0916988 in __new_sem_wait_slow (sem=0x55555d8b5900, abstime=0x0) at sem_waitcommon.c:181
#3  0x00007ffff71c702c in ARDOUR::Graph::run_one() () from /opt/Ardour-6.6.0/lib/libardour.so.3
#4  0x00007ffff71c7348 in ARDOUR::Graph::helper_thread() () from /opt/Ardour-6.6.0/lib/libardour.so.3
#5  0x00007fffd3162666 in ARDOUR::AlsaAudioBackend::alsa_process_thread(void*) () from /opt/Ardour-6.6.0/lib/backends/libalsa_audiobackend.so
#6  0x00007ffff090dfa3 in start_thread (arg=<optimized out>) at pthread_create.c:486
#7  0x00007fffee5384cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 64 (Thread 0x7fffd0370900 (LWP 20811)):
#0  futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x55555d8b5928) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  do_futex_wait (sem=sem@entry=0x55555d8b5928, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007ffff0916988 in __new_sem_wait_slow (sem=0x55555d8b5928, abstime=0x0) at sem_waitcommon.c:181
#3  0x00007ffff71c6f46 in ARDOUR::Graph::reached_terminal_node() () from /opt/Ardour-6.6.0/lib/libardour.so.3
#4  0x00007ffff71c7630 in ARDOUR::Graph::main_thread() () from /opt/Ardour-6.6.0/lib/libardour.so.3
#5  0x00007fffd3162666 in ARDOUR::AlsaAudioBackend::alsa_process_thread(void*) () from /opt/Ardour-6.6.0/lib/backends/libalsa_audiobackend.so
#6  0x00007ffff090dfa3 in start_thread (arg=<optimized out>) at pthread_create.c:486
#7  0x00007fffee5384cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 63 (Thread 0x7fffd037c900 (LWP 20810)):
#0  futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x55555b801310) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  do_futex_wait (sem=sem@entry=0x55555b801310, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007ffff0916988 in __new_sem_wait_slow (sem=0x55555b801310, abstime=0x0) at sem_waitcommon.c:181
#3  0x00007ffff7509439 in ARDOUR::RTTaskList::run() () from /opt/Ardour-6.6.0/lib/libardour.so.3
#4  0x00007ffff7509858 in ARDOUR::RTTaskList::_thread_run(void*) () from /opt/Ardour-6.6.0/lib/libardour.so.3
#5  0x00007ffff090dfa3 in start_thread (arg=<optimized out>) at pthread_create.c:486
#6  0x00007fffee5384cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 62 (Thread 0x7fffd0388900 (LWP 20809)):
#0  futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x55555b801310) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  do_futex_wait (sem=sem@entry=0x55555b801310, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007ffff0916988 in __new_sem_wait_slow (sem=0x55555b801310, abstime=0x0) at sem_waitcommon.c:181
#3  0x00007ffff7509439 in ARDOUR::RTTaskList::run() () from /opt/Ardour-6.6.0/lib/libardour.so.3
#4  0x00007ffff7509858 in ARDOUR::RTTaskList::_thread_run(void*) () from /opt/Ardour-6.6.0/lib/libardour.so.3
#5  0x00007ffff090dfa3 in start_thread (arg=<optimized out>) at pthread_create.c:486
#6  0x00007fffee5384cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 61 (Thread 0x7fffd0394900 (LWP 20808)):
#0  futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x55555b801310) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  do_futex_wait (sem=sem@entry=0x55555b801310, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007ffff0916988 in __new_sem_wait_slow (sem=0x55555b801310, abstime=0x0) at sem_waitcommon.c:181
#3  0x00007ffff7509439 in ARDOUR::RTTaskList::run() () from /opt/Ardour-6.6.0/lib/libardour.so.3
#4  0x00007ffff7509858 in ARDOUR::RTTaskList::_thread_run(void*) () from /opt/Ardour-6.6.0/lib/libardour.so.3
#5  0x00007ffff090dfa3 in start_thread (arg=<optimized out>) at pthread_create.c:486
#6  0x00007fffee5384cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 60 (Thread 0x7fffd03a0900 (LWP 20807)):
#0  futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x55555b801310) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  do_futex_wait (sem=sem@entry=0x55555b801310, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007ffff0916988 in __new_sem_wait_slow (sem=0x55555b801310, abstime=0x0) at sem_waitcommon.c:181
#3  0x00007ffff7509439 in ARDOUR::RTTaskList::run() () from /opt/Ardour-6.6.0/lib/libardour.so.3
#4  0x00007ffff7509858 in ARDOUR::RTTaskList::_thread_run(void*) () from /opt/Ardour-6.6.0/lib/libardour.so.3
#5  0x00007ffff090dfa3 in start_thread (arg=<optimized out>) at pthread_create.c:486
#6  0x00007fffee5384cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 59 (Thread 0x7fffbb7fe700 (LWP 20806)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff483cf61 in g_cond_wait_until () from /opt/Ardour-6.6.0/lib/libglib-2.0.so.0
#2  0x00007ffff47b73fb in g_async_queue_timeout_pop () from /opt/Ardour-6.6.0/lib/libglib-2.0.so.0
#3  0x00007ffff481ba14 in ?? () from /opt/Ardour-6.6.0/lib/libglib-2.0.so.0
#4  0x00007ffff481b1e5 in ?? () from /opt/Ardour-6.6.0/lib/libglib-2.0.so.0
#5  0x00007ffff090dfa3 in start_thread (arg=<optimized out>) at pthread_create.c:486
#6  0x00007fffee5384cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 21 (Thread 0x7fffd0fbd700 (LWP 20754)):
#0  0x00007fffee52d819 in __GI___poll (fds=0x7fffb4003ba0, nfds=1, timeout=200) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fffd3165c94 in ARDOUR::AlsaAudioBackend::midi_device_thread() () from /opt/Ardour-6.6.0/lib/backends/libalsa_audiobackend.so
#2  0x00007fffd3165ce9 in ARDOUR::AlsaAudioBackend::_midi_device_thread(void*) () from /opt/Ardour-6.6.0/lib/backends/libalsa_audiobackend.so
#3  0x00007ffff090dfa3 in start_thread (arg=<optimized out>) at pthread_create.c:486
#4  0x00007fffee5384cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 20 (Thread 0x7fffd049e900 (LWP 20753)):
#0  0x00007fffee52d916 in __GI_ppoll (fds=0x5555573a0dac, nfds=2, timeout=<optimized out>, sigmask=0x0) at ../sysdeps/unix/sysv/linux/ppoll.c:39
#1  0x00007fffd317dfbd in Alsa_pcmi::pcm_wait() () from /opt/Ardour-6.6.0/lib/backends/libalsa_audiobackend.so
#2  0x00007fffd3167aca in ARDOUR::AlsaAudioBackend::main_process_thread() () from /opt/Ardour-6.6.0/lib/backends/libalsa_audiobackend.so
#3  0x00007fffd3168b49 in ?? () from /opt/Ardour-6.6.0/lib/backends/libalsa_audiobackend.so
#4  0x00007ffff090dfa3 in start_thread (arg=<optimized out>) at pthread_create.c:486
#5  0x00007fffee5384cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 19 (Thread 0x7fffbbfff700 (LWP 20752)):
#0  0x00007fffee530037 in __GI___select (nfds=1, readfds=0x7fffbbffcc70, writefds=0x0, exceptfds=0x0, timeout=0x7fffbbffcc50) at ../sysdeps/unix/sysv/linux/select.c:41
#1  0x00007ffff59aad86 in PBD::SystemExec::output_interposer() () from /opt/Ardour-6.6.0/lib/libpbd.so.4
#2  0x00007ffff59aaf08 in ?? () from /opt/Ardour-6.6.0/lib/libpbd.so.4
#3  0x00007ffff090dfa3 in start_thread (arg=<optimized out>) at pthread_create.c:486
#4  0x00007fffee5384cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7fffd1a3e700 (LWP 20744)):
#0  0x00007fffee52d819 in __GI___poll (fds=0x555556ea3780, nfds=2, timeout=1998) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ffff47ebd66 in ?? () from /opt/Ardour-6.6.0/lib/libglib-2.0.so.0
#2  0x00007ffff47ebe7c in g_main_context_iteration () from /opt/Ardour-6.6.0/lib/libglib-2.0.so.0
#3  0x00007ffff47ebec1 in ?? () from /opt/Ardour-6.6.0/lib/libglib-2.0.so.0
#4  0x00007ffff481b1e5 in ?? () from /opt/Ardour-6.6.0/lib/libglib-2.0.so.0
#5  0x00007ffff090dfa3 in start_thread (arg=<optimized out>) at pthread_create.c:486
#6  0x00007fffee5384cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7fffd3fff700 (LWP 20740)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff483ce4c in g_cond_wait () from /opt/Ardour-6.6.0/lib/libglib-2.0.so.0
#2  0x00007ffff70a8d83 in ARDOUR::AudioEngine::do_devicelist_update() () from /opt/Ardour-6.6.0/lib/libardour.so.3
#3  0x00007ffff4d85c4d in ?? () from /opt/Ardour-6.6.0/lib/libglibmm-2.4.so.1
#4  0x00007ffff481b1e5 in ?? () from /opt/Ardour-6.6.0/lib/libglib-2.0.so.0
#5  0x00007ffff090dfa3 in start_thread (arg=<optimized out>) at pthread_create.c:486
#6  0x00007fffee5384cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7fffd9e72700 (LWP 20739)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff483ce4c in g_cond_wait () from /opt/Ardour-6.6.0/lib/libglib-2.0.so.0
#2  0x00007ffff70aae95 in ARDOUR::AudioEngine::do_reset_backend() () from /opt/Ardour-6.6.0/lib/libardour.so.3
#3  0x00007ffff4d85c4d in ?? () from /opt/Ardour-6.6.0/lib/libglibmm-2.4.so.1
#4  0x00007ffff481b1e5 in ?? () from /opt/Ardour-6.6.0/lib/libglib-2.0.so.0
#5  0x00007ffff090dfa3 in start_thread (arg=<optimized out>) at pthread_create.c:486
#6  0x00007fffee5384cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7fffdbfff700 (LWP 20737)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff483ce4c in g_cond_wait () from /opt/Ardour-6.6.0/lib/libglib-2.0.so.0
#2  0x00007ffff7069ff7 in ARDOUR::Analyser::work() () from /opt/Ardour-6.6.0/lib/libardour.so.3
#3  0x00007ffff4d85c4d in ?? () from /opt/Ardour-6.6.0/lib/libglibmm-2.4.so.1
#4  0x00007ffff481b1e5 in ?? () from /opt/Ardour-6.6.0/lib/libglib-2.0.so.0
#5  0x00007ffff090dfa3 in start_thread (arg=<optimized out>) at pthread_create.c:486
#6  0x00007fffee5384cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7fffe8e9c700 (LWP 20736)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff483ce4c in g_cond_wait () from /opt/Ardour-6.6.0/lib/libglib-2.0.so.0
#2  0x00007ffff76070c7 in ?? () from /opt/Ardour-6.6.0/lib/libardour.so.3
#3  0x00007ffff4d85c4d in ?? () from /opt/Ardour-6.6.0/lib/libglibmm-2.4.so.1
#4  0x00007ffff481b1e5 in ?? () from /opt/Ardour-6.6.0/lib/libglib-2.0.so.0
#5  0x00007ffff090dfa3 in start_thread (arg=<optimized out>) at pthread_create.c:486
#6  0x00007fffee5384cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7fffe969d700 (LWP 20735)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff483ce4c in g_cond_wait () from /opt/Ardour-6.6.0/lib/libglib-2.0.so.0
#2  0x00007ffff76070c7 in ?? () from /opt/Ardour-6.6.0/lib/libardour.so.3
#3  0x00007ffff4d85c4d in ?? () from /opt/Ardour-6.6.0/lib/libglibmm-2.4.so.1
#4  0x00007ffff481b1e5 in ?? () from /opt/Ardour-6.6.0/lib/libglib-2.0.so.0
#5  0x00007ffff090dfa3 in start_thread (arg=<optimized out>) at pthread_create.c:486
#6  0x00007fffee5384cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7fffe9e9e700 (LWP 20734)):
#0  0x00007ffff0917bf0 in __GI___nanosleep (requested_time=0x7fffe9e9db40, remaining=0x7fffe9e9db50) at ../sysdeps/unix/sysv/linux/nanosleep.c:28
#1  0x00007ffff481ca38 in g_usleep () from /opt/Ardour-6.6.0/lib/libglib-2.0.so.0
#2  0x000055555622428b in ?? ()
#3  0x00007ffff090dfa3 in start_thread (arg=<optimized out>) at pthread_create.c:486
#4  0x00007fffee5384cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7fffea221900 (LWP 20730)):
#0  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50
#1  0x00007fffee461535 in __GI_abort () at abort.c:79
#2  0x00007fffee4b8508 in __libc_message (action=action@entry=do_abort, fmt=fmt@entry=0x7fffee5c328d "%s\n") at ../sysdeps/posix/libc_fatal.c:181
#3  0x00007fffee4bec1a in malloc_printerr (str=str@entry=0x7fffee5c4ff8 "double free or corruption (out)") at malloc.c:5341
#4  0x00007fffee4c0730 in _int_free (av=0x7fffee5fac40 <main_arena>, p=0x555556644060 <vtable for boost::detail::sp_counted_impl_p<PBD::Connection>>, have_lock=<optimized out>) at malloc.c:4306
#5  0x0000555555a5c3b8 in ?? ()
#6  0x0000555555da620e in ?? ()
#7  0x0000555556131add in ?? ()
#8  0x0000555555da8e5f in ?? ()
#9  0x00007ffff741cea5 in ARDOUR::Playlist::foreach_region(boost::function<void (boost::shared_ptr<ARDOUR::Region>)>) () from /opt/Ardour-6.6.0/lib/libardour.so.3
#10 0x0000555555da57f9 in ?? ()
#11 0x000055555613371d in ?? ()
#12 0x00005555561340bd in ?? ()
#13 0x00005555561346d7 in ?? ()
#14 0x0000555555a6a65d in ?? ()
#15 0x00005555559c7b8e in ?? ()
#16 0x00007ffff4d8e032 in ?? () from /opt/Ardour-6.6.0/lib/libglibmm-2.4.so.1
#17 0x00007ffff47eba2a in g_main_context_dispatch () from /opt/Ardour-6.6.0/lib/libglib-2.0.so.0
#18 0x00007ffff47ebdd0 in ?? () from /opt/Ardour-6.6.0/lib/libglib-2.0.so.0
#19 0x00007ffff47ebe7c in g_main_context_iteration () from /opt/Ardour-6.6.0/lib/libglib-2.0.so.0
#20 0x00007ffff3ddc601 in gtk_main_iteration () from /opt/Ardour-6.6.0/lib/libgtk-x11-2.0.so.0
#21 0x00007ffff5c387d5 in Gtkmm2ext::UI::flush_pending(float) () from /opt/Ardour-6.6.0/lib/libgtkmm2ext.so.0
#22 0x00005555559bddfc in ?? ()
#23 0x00005555559bedef in ?? ()
#24 0x00005555559c2798 in ?? ()
#25 0x00007ffff4d94c88 in Glib::SignalProxyNormal::slot0_void_callback(_GObject*, void*) () from /opt/Ardour-6.6.0/lib/libglibmm-2.4.so.1
#26 0x00007ffff4afa945 in g_closure_invoke () from /opt/Ardour-6.6.0/lib/libgobject-2.0.so.0
#27 0x00007ffff4b0c01b in ?? () from /opt/Ardour-6.6.0/lib/libgobject-2.0.so.0
#28 0x00007ffff4b15c30 in g_signal_emit_valist () from /opt/Ardour-6.6.0/lib/libgobject-2.0.so.0
#29 0x00007ffff4b16082 in g_signal_emit () from /opt/Ardour-6.6.0/lib/libgobject-2.0.so.0
#30 0x00007ffff3cd0fb0 in ?? () from /opt/Ardour-6.6.0/lib/libgtk-x11-2.0.so.0
#31 0x00007ffff3cd122c in gtk_action_activate () from /opt/Ardour-6.6.0/lib/libgtk-x11-2.0.so.0
#32 0x00007ffff3df1db3 in ?? () from /opt/Ardour-6.6.0/lib/libgtk-x11-2.0.so.0
#33 0x00007ffff4afab74 in ?? () from /opt/Ardour-6.6.0/lib/libgobject-2.0.so.0
#34 0x00007ffff4b15904 in g_signal_emit_valist () from /opt/Ardour-6.6.0/lib/libgobject-2.0.so.0
#35 0x00007ffff4b16082 in g_signal_emit () from /opt/Ardour-6.6.0/lib/libgobject-2.0.so.0
#36 0x00007ffff3f621fe in gtk_widget_activate () from /opt/Ardour-6.6.0/lib/libgtk-x11-2.0.so.0
#37 0x00007ffff3df87a2 in gtk_menu_shell_activate_item () from /opt/Ardour-6.6.0/lib/libgtk-x11-2.0.so.0
#38 0x00007ffff3df8bf6 in ?? () from /opt/Ardour-6.6.0/lib/libgtk-x11-2.0.so.0
#39 0x00007ffff3dea7f6 in ?? () from /opt/Ardour-6.6.0/lib/libgtk-x11-2.0.so.0
#40 0x00007ffff3ddecac in ?? () from /opt/Ardour-6.6.0/lib/libgtk-x11-2.0.so.0
#41 0x00007ffff4afa945 in g_closure_invoke () from /opt/Ardour-6.6.0/lib/libgobject-2.0.so.0
#42 0x00007ffff4b0c5a0 in ?? () from /opt/Ardour-6.6.0/lib/libgobject-2.0.so.0
#43 0x00007ffff4b1569b in g_signal_emit_valist () from /opt/Ardour-6.6.0/lib/libgobject-2.0.so.0
#44 0x00007ffff4b16082 in g_signal_emit () from /opt/Ardour-6.6.0/lib/libgobject-2.0.so.0
#45 0x00007ffff3f6364c in ?? () from /opt/Ardour-6.6.0/lib/libgtk-x11-2.0.so.0
#46 0x00007ffff3ddd29d in gtk_propagate_event () from /opt/Ardour-6.6.0/lib/libgtk-x11-2.0.so.0
#47 0x00007ffff3ddd723 in gtk_main_do_event () from /opt/Ardour-6.6.0/lib/libgtk-x11-2.0.so.0
#48 0x00007ffff39f9b4c in ?? () from /opt/Ardour-6.6.0/lib/libgdk-x11-2.0.so.0
#49 0x00007ffff47ebb67 in g_main_context_dispatch () from /opt/Ardour-6.6.0/lib/libglib-2.0.so.0
#50 0x00007ffff47ebdd0 in ?? () from /opt/Ardour-6.6.0/lib/libglib-2.0.so.0
#51 0x00007ffff47ec0f2 in g_main_loop_run () from /opt/Ardour-6.6.0/lib/libglib-2.0.so.0
#52 0x00007ffff3ddc3e7 in gtk_main () from /opt/Ardour-6.6.0/lib/libgtk-x11-2.0.so.0
#53 0x00007ffff5c36a45 in Gtkmm2ext::UI::run(Receiver&) () from /opt/Ardour-6.6.0/lib/libgtkmm2ext.so.0
#54 0x00005555559184db in ?? ()
#55 0x00007fffee46309b in __libc_start_main (main=0x5555559180e0, argc=1, argv=0x7fffffffd6b8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffffffd6a8) at ../csu/libc-start.c:308
#56 0x000055555591ec2a in ?? ()

backtrace.txt (43,254 bytes)

Daniele1971

2021-02-26 18:00

reporter   ~0025567

obviously it doesn't crash under gdb.. :/

Daniele1971

2021-02-28 11:22

reporter   ~0025571

Ok, crashed with ardour 6.6.45 (nightly) HTH.

ardour-bt.txt (15,781 bytes)
Thread 1 "ArdourGUI" received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffe91573c0 (LWP 6074)]
0x00007fffecf7dcbe in std::__detail::_List_node_base::_M_unhook() () from /usr/lib64/libstdc++.so.6
(gdb) bt
#0  0x00007fffecf7dcbe in std::__detail::_List_node_base::_M_unhook() () from /usr/lib64/libstdc++.so.6
#1  0x0000555555c66810 in std::__cxx11::list<std::pair<PBD::ID const, std::__cxx11::list<int, std::allocator<int> > >, std::allocator<std::pair<PBD::ID const, std::__cxx11::list<int, std::allocator<int> > > > >::_M_erase (this=0x555557cc15c0, __position=...) at /usr/include/c++/6/bits/stl_list.h:1781
#2  0x0000555555c5e90e in std::__cxx11::list<std::pair<PBD::ID const, std::__cxx11::list<int, std::allocator<int> > >, std::allocator<std::pair<PBD::ID const, std::__cxx11::list<int, std::allocator<int> > > > >::erase (this=0x555557cc15c0, __position=...) at /usr/include/c++/6/bits/list.tcc:157
#3  0x0000555555c509bc in Editor::region_view_added (this=0x55555d3f8020, rv=0x5555778cf110) at ../gtk2_ardour/editor.cc:5338
#4  0x0000555555c86f36 in sigc::bound_mem_functor1<void, Editor, RegionView*>::operator() (this=0x55557037acb8, _A_a1=@0x7fffffff9ba0: 0x5555778cf110)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1856
#5  0x0000555555c80201 in sigc::adaptor_functor<sigc::bound_mem_functor1<void, Editor, RegionView*> >::operator()<RegionView* const&> (this=0x55557037acb0, _A_arg1=@0x7fffffff9ba0: 0x5555778cf110)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:89
#6  0x0000555555c773e6 in sigc::internal::slot_call1<sigc::bound_mem_functor1<void, Editor, RegionView*>, void, RegionView*>::call_it (rep=0x55557037ac80, a_1=@0x7fffffff9ba0: 0x5555778cf110)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:137
#7  0x0000555555b9a133 in sigc::internal::signal_emit1<void, RegionView*, sigc::nil>::emit (impl=0x55557029d6a0, _A_a1=@0x7fffffff9ba0: 0x5555778cf110)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/signal.h:1006
#8  0x0000555555b99165 in sigc::signal1<void, RegionView*, sigc::nil>::emit (this=0x55556f2d5e50, _A_a1=@0x7fffffff9ba0: 0x5555778cf110)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/signal.h:2797
#9  0x0000555555b97e17 in sigc::signal1<void, RegionView*, sigc::nil>::operator() (this=0x55556f2d5e50, _A_a1=@0x7fffffff9ba0: 0x5555778cf110)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/signal.h:2805
#10 0x00005555560d6d6f in MidiStreamView::add_region_view_internal (this=0x55556f2d5e20, r=..., wait_for_data=true, recording=false) at ../gtk2_ardour/midi_streamview.cc:174
#11 0x00005555565d730d in StreamView::add_region_view (this=0x55556f2d5e20, wr=...) at ../gtk2_ardour/streamview.cc:182
#12 0x00005555560dc75a in sigc::bound_mem_functor1<void, MidiStreamView, boost::weak_ptr<ARDOUR::Region> >::operator() (this=0x55557788b580, _A_a1=...)
/sigc++/functors/mem_fun.h:1856
#13 0x00005555560dc45c in sigc::adaptor_functor<sigc::bound_mem_functor1<void, MidiStreamView, boost::weak_ptr<ARDOUR::Region> > >::operator()<boost::shared_ptr<ARDOUR::Region>&> (this=0x55557788b578, 
    _A_arg1=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:89
#14 0x00005555560dbcd7 in sigc::retype_return_functor<void, sigc::bound_mem_functor1<void, MidiStreamView, boost::weak_ptr<ARDOUR::Region> > >::operator()<boost::shared_ptr<ARDOUR::Region> > (
    this=0x55557788b570, _A_a1=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/retype_return.h:165
#15 0x00005555560db6bd in boost::detail::function::void_function_obj_invoker1<sigc::retype_return_functor<void, sigc::bound_mem_functor1<void, MidiStreamView, boost::weak_ptr<ARDOUR::Region> > >, void, boost::shared_ptr<ARDOUR::Region> >::invoke (function_obj_ptr=..., a0=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/function/function_template.hpp:159
#16 0x0000555555da2212 in boost::function1<void, boost::shared_ptr<ARDOUR::Region> >::operator() (this=0x7fffffff9ea0, a0=...)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/function/function_template.hpp:769
#17 0x00007ffff6f56f6e in ARDOUR::Playlist::foreach_region(boost::function<void (boost::shared_ptr<ARDOUR::Region>)>) (this=0x55555e8ac920, s=...) at ../libs/ardour/playlist.cc:3000
#18 0x00005555560d77b1 in MidiStreamView::redisplay_track (this=0x55556f2d5e20) at ../gtk2_ardour/midi_streamview.cc:294
#19 0x00005555565d7f56 in StreamView::playlist_switched (this=0x55556f2d5e20, wtr=...) at ../gtk2_ardour/streamview.cc:330
#20 0x00005555565d763b in StreamView::display_track (this=0x55556f2d5e20, tr=...) at ../gtk2_ardour/streamview.cc:229
#21 0x00005555565d6f42 in StreamView::attach (this=0x55556f2d5e20) at ../gtk2_ardour/streamview.cc:109
#22 0x00005555560df93d in MidiTimeAxisView::first_idle (this=0x5555701acc50) at ../gtk2_ardour/midi_time_axis.cc:313
#23 0x0000555555c50176 in Editor::first_idle (this=0x55555d3f8020) at ../gtk2_ardour/editor.cc:5217
#24 0x0000555555b4f6df in ARDOUR_UI::first_idle (this=0x5555572acf30) at ../gtk2_ardour/ardour_ui_startup.cc:102
#25 0x0000555555ae4e00 in sigc::bound_mem_functor0<bool, ARDOUR_UI>::operator() (this=0x5555760071a8) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
#26 0x0000555555add3cc in sigc::adaptor_functor<sigc::bound_mem_functor0<bool, ARDOUR_UI> >::operator() (this=0x5555760071a0)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#27 0x0000555555ad4575 in sigc::internal::slot_call0<sigc::bound_mem_functor0<bool, ARDOUR_UI>, bool>::call_it (rep=0x555576007170)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#28 0x00007ffff3502032 in ?? () from /opt/Ardour-6.6.45-dbg/lib/libglibmm-2.4.so.1
#29 0x00007ffff2f5fa2a in g_main_context_dispatch () from /opt/Ardour-6.6.45-dbg/lib/libglib-2.0.so.0
#30 0x00007ffff2f5fdd0 in ?? () from /opt/Ardour-6.6.45-dbg/lib/libglib-2.0.so.0
#31 0x00007ffff2f5fe7c in g_main_context_iteration () from /opt/Ardour-6.6.45-dbg/lib/libglib-2.0.so.0
#32 0x00007ffff2550601 in gtk_main_iteration () from /opt/Ardour-6.6.45-dbg/lib/libgtk-x11-2.0.so.0
#33 0x00007ffff457f8e5 in Gtkmm2ext::UI::flush_pending (this=0x5555572acf30, timeout=10) at ../libs/gtkmm2ext/gtk_ui.cc:780
#34 0x0000555555b42816 in ARDOUR_UI::load_session_stage_two (this=0x5555572acf30, path=..., snap_name=..., mix_template=...) at ../gtk2_ardour/ardour_ui_session.cc:523
#35 0x0000555555b41e3f in ARDOUR_UI::load_session (this=0x5555572acf30, path=..., snap_name=..., mix_template=...) at ../gtk2_ardour/ardour_ui_session.cc:358
#36 0x0000555555b52185 in ARDOUR_UI::load_session_from_startup_fsm (this=0x5555572acf30) at ../gtk2_ardour/ardour_ui_startup.cc:581
#37 0x0000555555b51a6d in ARDOUR_UI::sfsm_response (this=0x5555572acf30, r=StartupFSM::LoadSession) at ../gtk2_ardour/ardour_ui_startup.cc:487
#38 0x0000555555b55284 in sigc::bound_mem_functor1<void, ARDOUR_UI, StartupFSM::Result>::operator() (this=0x5555577a80c8, _A_a1=@0x7fffffffb41c: StartupFSM::LoadSession)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1856
#39 0x0000555555b55053 in sigc::adaptor_functor<sigc::bound_mem_functor1<void, ARDOUR_UI, StartupFSM::Result> >::operator()<StartupFSM::Result const&> (this=0x5555577a80c0, 
    _A_arg1=@0x7fffffffb41c: StartupFSM::LoadSession) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:89
#40 0x0000555555b54c64 in sigc::internal::slot_call1<sigc::bound_mem_functor1<void, ARDOUR_UI, StartupFSM::Result>, void, StartupFSM::Result>::call_it (rep=0x5555577a8090, 
    a_1=@0x7fffffffb41c: StartupFSM::LoadSession) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:137
#41 0x00005555565a4472 in sigc::internal::signal_emit1<void, StartupFSM::Result, sigc::nil>::emit (impl=0x5555577a8030, _A_a1=@0x7fffffffb41c: StartupFSM::LoadSession)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/signal.h:1006
#42 0x00005555565a3d39 in sigc::signal1<void, StartupFSM::Result, sigc::nil>::emit (this=0x5555573cfde0, _A_a1=@0x7fffffffb41c: StartupFSM::LoadSession)
at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/signal.h:2797
#43 0x00005555565a35c5 in sigc::signal1<void, StartupFSM::Result, sigc::nil>::operator() (this=0x5555573cfde0, _A_a1=@0x7fffffffb41c: StartupFSM::LoadSession)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/signal.h:2805
#44 0x000055555659f67a in StartupFSM::dialog_response_handler (this=0x5555573cfca0, response=-5, dialog_id=StartupFSM::PluginDialog) at ../gtk2_ardour/startup_fsm.cc:318
#45 0x00005555565a614b in sigc::bound_mem_functor2<void, StartupFSM, int, StartupFSM::DialogID>::operator() (this=0x5555597bae70, _A_a1=@0x7fffffffb53c: -5, _A_a2=@0x5555597bae90: StartupFSM::PluginDialog)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1927
#46 0x00005555565a5bdb in sigc::adaptor_functor<sigc::bound_mem_functor2<void, StartupFSM, int, StartupFSM::DialogID> >::operator()<int const&, StartupFSM::DialogID&> (this=0x5555597bae68, 
    _A_arg1=@0x7fffffffb53c: -5, _A_arg2=@0x5555597bae90: StartupFSM::PluginDialog) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:108
#47 0x00005555565a55d2 in sigc::bind_functor<-1, sigc::bound_mem_functor2<void, StartupFSM, int, StartupFSM::DialogID>, StartupFSM::DialogID, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil>::operator()<int const&> (this=0x5555597bae60, _A_arg1=@0x7fffffffb53c: -5) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/bind.h:1135
#48 0x00005555565a4efe in sigc::internal::slot_call1<sigc::bind_functor<-1, sigc::bound_mem_functor2<void, StartupFSM, int, StartupFSM::DialogID>, StartupFSM::DialogID, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil>, void, int>::call_it (rep=0x5555597bae30, a_1=@0x7fffffffb53c: -5) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:137
#49 0x00007ffff06c65f5 in ?? () from /opt/Ardour-6.6.45-dbg/lib/libgtkmm-2.4.so.1
#50 0x00007ffff326e945 in g_closure_invoke () from /opt/Ardour-6.6.45-dbg/lib/libgobject-2.0.so.0
#51 0x00007ffff328001b in ?? () from /opt/Ardour-6.6.45-dbg/lib/libgobject-2.0.so.0
#52 0x00007ffff3289c30 in g_signal_emit_valist () from /opt/Ardour-6.6.45-dbg/lib/libgobject-2.0.so.0
#53 0x00007ffff328a082 in g_signal_emit () from /opt/Ardour-6.6.45-dbg/lib/libgobject-2.0.so.0
#54 0x00007ffff24ae80c in gtk_dialog_response () from /opt/Ardour-6.6.45-dbg/lib/libgtk-x11-2.0.so.0
#55 0x00005555565a0c35 in StartupFSM::engine_running (this=0x5555573cfca0) at ../gtk2_ardour/startup_fsm.cc:544
#56 0x00005555565a09e7 in StartupFSM::start_audio_midi_setup (this=0x5555573cfca0) at ../gtk2_ardour/startup_fsm.cc:518
#57 0x000055555659f4d8 in StartupFSM::dialog_response_handler (this=0x5555573cfca0, response=-3, dialog_id=StartupFSM::NewSessionDialog) at ../gtk2_ardour/startup_fsm.cc:256
#58 0x00005555565a614b in sigc::bound_mem_functor2<void, StartupFSM, int, StartupFSM::DialogID>::operator() (this=0x555557968440, _A_a1=@0x7fffffffbf8c: -3, _A_a2=@0x555557968460: StartupFSM::NewSessionDialog)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1927
#59 0x00005555565a5bdb in sigc::adaptor_functor<sigc::bound_mem_functor2<void, StartupFSM, int, StartupFSM::DialogID> >::operator()<int const&, StartupFSM::DialogID&> (this=0x555557968438, 
    _A_arg1=@0x7fffffffbf8c: -3, _A_arg2=@0x555557968460: StartupFSM::NewSessionDialog) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:108
#60 0x00005555565a55d2 in sigc::bind_functor<-1, sigc::bound_mem_functor2<void, StartupFSM, int, StartupFSM::DialogID>, StartupFSM::DialogID, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil>::operator()<int const&> (this=0x555557968430, _A_arg1=@0x7fffffffbf8c: -3) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/bind.h:1135
#61 0x00005555565a4efe in sigc::internal::slot_call1<sigc::bind_functor<-1, sigc::bound_mem_functor2<void, StartupFSM, int, StartupFSM::DialogID>, StartupFSM::DialogID, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil>, void, int>::call_it (rep=0x555557968400, a_1=@0x7fffffffbf8c: -3) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:137
#62 0x00007ffff06c65f5 in ?? () from /opt/Ardour-6.6.45-dbg/lib/libgtkmm-2.4.so.1
#63 0x00007ffff326e945 in g_closure_invoke () from /opt/Ardour-6.6.45-dbg/lib/libgobject-2.0.so.0
#64 0x00007ffff328001b in ?? () from /opt/Ardour-6.6.45-dbg/lib/libgobject-2.0.so.0
#65 0x00007ffff3289c30 in g_signal_emit_valist () from /opt/Ardour-6.6.45-dbg/lib/libgobject-2.0.so.0
#66 0x00007ffff328a082 in g_signal_emit () from /opt/Ardour-6.6.45-dbg/lib/libgobject-2.0.so.0
#67 0x00007ffff24ae80c in gtk_dialog_response () from /opt/Ardour-6.6.45-dbg/lib/libgtk-x11-2.0.so.0
#68 0x000055555651b79c in SessionDialog::open_button_pressed (this=0x5555577b8800, ev=0x555557999a60) at ../gtk2_ardour/session_dialog.cc:541
#69 0x0000555556525be6 in sigc::bound_mem_functor1<bool, SessionDialog, _GdkEventButton*>::operator() (this=0x5555579ac3c8, _A_a1=@0x7fffffffc4a8: 0x555557999a60)
    at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1856
#70 0x00005555565242e7 in sigc::adaptor_functor<sigc::bound_mem_functor1<bool, SessionDialog, _GdkEventButton*> >::operator()<_GdkEventButton* const&> (this=0x5555579ac3c0, 
    _A_arg1=@0x7fffffffc4a8: 0x555557999a60) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:89
#71 0x0000555556523012 in sigc::internal::slot_call1<sigc::bound_mem_functor1<bool, SessionDialog, _GdkEventButton*>, bool, _GdkEventButton*>::call_it (rep=0x5555579ac390, a_1=@0x7fffffffc4a8: 0x555557999a60)
at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:137
#72 0x00007ffff074ba9b in ?? () from /opt/Ardour-6.6.45-dbg/lib/libgtkmm-2.4.so.1
#73 0x00007ffff2552cac in ?? () from /opt/Ardour-6.6.45-dbg/lib/libgtk-x11-2.0.so.0
#74 0x00007ffff326e945 in g_closure_invoke () from /opt/Ardour-6.6.45-dbg/lib/libgobject-2.0.so.0
#75 0x00007ffff327fbf2 in ?? () from /opt/Ardour-6.6.45-dbg/lib/libgobject-2.0.so.0
#76 0x00007ffff328969b in g_signal_emit_valist () from /opt/Ardour-6.6.45-dbg/lib/libgobject-2.0.so.0
#77 0x00007ffff328a082 in g_signal_emit () from /opt/Ardour-6.6.45-dbg/lib/libgobject-2.0.so.0
#78 0x00007ffff26d764c in ?? () from /opt/Ardour-6.6.45-dbg/lib/libgtk-x11-2.0.so.0
#79 0x00007ffff255129d in gtk_propagate_event () from /opt/Ardour-6.6.45-dbg/lib/libgtk-x11-2.0.so.0
#80 0x00007ffff2551723 in gtk_main_do_event () from /opt/Ardour-6.6.45-dbg/lib/libgtk-x11-2.0.so.0
#81 0x00007ffff216db4c in ?? () from /opt/Ardour-6.6.45-dbg/lib/libgdk-x11-2.0.so.0
#82 0x00007ffff2f5fb67 in g_main_context_dispatch () from /opt/Ardour-6.6.45-dbg/lib/libglib-2.0.so.0
#83 0x00007ffff2f5fdd0 in ?? () from /opt/Ardour-6.6.45-dbg/lib/libglib-2.0.so.0
#84 0x00007ffff2f600f2 in g_main_loop_run () from /opt/Ardour-6.6.45-dbg/lib/libglib-2.0.so.0
#85 0x00007ffff25503e7 in gtk_main () from /opt/Ardour-6.6.45-dbg/lib/libgtk-x11-2.0.so.0
#86 0x00007ffff457d0e4 in Gtkmm2ext::UI::run (this=0x5555572acf30, old_receiver=...) at ../libs/gtkmm2ext/gtk_ui.cc:310
#87 0x000055555607990f in main (argc=1, argv=0x7fffffffcfd8) at ../gtk2_ardour/main.cc:410
ardour-bt.txt (15,781 bytes)

x42

2021-02-28 13:40

administrator   ~0025572

Thanks. That's a good and helpful backtrace!

issue understood. It happen when you close a session with some individual MIDI notes selected. Restoring the selection fails.

In the session-folder there is a file: `instant.xml`. In that file there are GUI settings, window sizes, selection etc. You can safely delete it, or remove the part

   <MIDINotes>
     <note .... />
  </MIDINotes>

from the Selection in that file with a text editor. The session will load again after that.

Ardour crashing during startup may also clear that part.

x42

2021-03-01 22:14

administrator   ~0025575

Fixed in 6.6-72-gf8ba27f417

Daniele1971

2021-03-02 01:32

reporter   ~0025576

Thanks !

anonymous

2021-04-26 19:25

viewer   ~0025771

Issue has been closed automatically, by Trigger Close Plugin.
Feel free to re-open with additional information if you think the issue is not resolved.

Issue History

Date Modified Username Field Change
2021-02-25 19:25 Daniele1971 New Issue
2021-02-25 19:25 Daniele1971 Tag Attached: crash
2021-02-25 20:05 x42 Note Added: 0025554
2021-02-25 20:05 x42 Note Edited: 0025554 View Revisions
2021-02-25 20:06 x42 Note Added: 0025555
2021-02-25 23:24 mrMute File Added: backtrace.txt
2021-02-25 23:24 mrMute Note Added: 0025556
2021-02-26 18:00 Daniele1971 Note Added: 0025567
2021-02-28 11:22 Daniele1971 File Added: ardour-bt.txt
2021-02-28 11:22 Daniele1971 Note Added: 0025571
2021-02-28 13:40 x42 Note Added: 0025572
2021-03-01 22:14 x42 Assigned To => x42
2021-03-01 22:14 x42 Status new => resolved
2021-03-01 22:14 x42 Resolution open => fixed
2021-03-01 22:14 x42 Note Added: 0025575
2021-03-02 01:32 Daniele1971 Note Added: 0025576
2021-04-09 13:05 x42 Relationship added has duplicate 0008656
2021-04-26 19:25 anonymous Note Added: 0025771
2021-04-26 19:25 anonymous Status resolved => closed
2021-05-17 18:19 x42 Relationship added has duplicate 0008708